#ifndef SECURITY_H
#define SECURITY_H

#include "ftpaccess.h"
#include "SecurityBase.h"

class Security : public SecurityBase {
	Q_OBJECT
public:
	Security(QWidget *parent=0, const char *name=0);
	~Security();
public slots:
	void ftpaccessLoaded(ftpaccess *xs);
	void update();
	void addNoRetPressed();
	void delNoRetPressed();
	void noRetAdded(const QString & filename);
private:
	void		redrawNoRetrieves();
	ftpaccess *	ftpxs;
};

#endif

